Skip to main content
GET
/
staking
/
stakes
/
{stakeId}
/
actions
List Stake Actions
curl --request GET \
  --url https://api.dfns.io/staking/stakes/{stakeId}/actions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "stka-567ui-9g9b7-ftgvpstk8qfa71b4",
      "stakeId": "stk-0pmu3-tog2k-fdtn0teii2i4r13f",
      "status": "PendingPolicyApproval",
      "kind": "Stake",
      "requester": {
        "userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
        "tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
      },
      "requestBody": {
        "protocol": "Babylon",
        "walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
        "provider": "Figment",
        "amount": "<string>",
        "duration": 123,
        "externalId": "<string>"
      },
      "dateCreated": "2023-04-14T20:41:28.715Z",
      "transactionId": "tx-583hu-sp2p7-slvb9nqpa3hd8bus",
      "signatureId": "sig-4sfvl-f4iha-umighfi3hk4t54dr",
      "transactionHash": "<string>",
      "failureReason": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dfns.co/llms.txt

Use this file to discover all available pages before exploring further.

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Stakes:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

stakeId
string
required
Required string length: 1 - 64
Pattern: ^stk-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Query Parameters

limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 500
paginationToken
string

Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.

Minimum string length: 1

Response

200 - application/json

Success

items
object[]
required

Current page items.

nextPageToken
string

token to use as paginationToken to request the next page.

Last modified on May 11, 2026